DocumentationAPI ReferenceContact UsGet Started
Introduction

Affiliates

List affiliates GETGet affiliate GETCreate affiliate POSTUpdate affiliate PUT

Campaigns

List campaigns GETGet campaign GETCreate campaign POSTUpdate campaign PUT

Referrals

List referrals GETCreate referral POST

Commissions

List commissions GETGet commission GETCreate commission POST

Payouts

List payouts GETGet payout GET
Referrals

List referrals

Returns a paginated list of referred customers.

GET
/referrals

Authorization

Authorization
Required
Bearer <token>

In: header

Query Parameters

affiliate_idstring

Format: "uuid"

emailstring

Format: "email"

stripe_customer_idstring

subscription_statusstring

limitinteger

Default: 10Minimum: 1Maximum: 100

pageinteger

Default: 1Minimum: 1

Previous

Update campaign PUT

Next

Create referral POST

/referrals

The Authorization access token

API key authentication. Use your API key as the bearer token.

Filter by affiliate UUID

Filter by referred customer email (exact match)

Filter by Stripe customer ID

Filter by subscription status. Possible values: signed_up, active, trialing, canceled, past_due. Pass a comma-separated list to filter by multiple statuses (e.g. ?subscription_status=active,trialing).

Number of records to return (default: 10, max: 100)

Page number (1-indexed)

Successful response

curl -X GET "https://www.promotekit.com/api/v1/referrals?affiliate_id=497f6eca-6276-4993-bfeb-53cbbbba6f08&email=user%40example.com&stripe_customer_id=string&subscription_status=string&limit=10&page=1" \
  -H "Authorization: Bearer <token>"
{
  "success": true,
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "email": "user@example.com",
      "subscription_status": "active",
      "signup_date": "2019-08-24T14:15:22Z",
      "stripe_customer_id": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "affiliate": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "email": "user@example.com",
        "first_name": "string",
        "last_name": "string",
        "payout_email": "user@example.com",
        "links": [
          {
            "url": "string",
            "code": "string"
          }
        ],
        "promo_codes": [
          {
            "code": "string",
            "external_id": "string"
          }
        ],
        "clicks": 0,
        "approved": true,
        "banned": true,
        "details": "string",
        "new_paid_referral_notifications": true,
        "created_at": "2019-08-24T14:15:22Z",
        "campaign": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "created_at": "2019-08-24T14:15:22Z",
          "website_url": "string",
          "commission_type": "percentage",
          "commission_amount": 0,
          "is_default": true,
          "limit_type": "string",
          "limit_amount": 0,
          "code_mode": "link",
          "reference_coupon": "string",
          "custom_commission_type": "string",
          "welcome_message": "string",
          "approval_needed": true,
          "collect_details": true,
          "details_text": "string",
          "hide_emails": true,
          "dashboard_text": "string",
          "cookie_duration": 0,
          "first_payment_commission": {
            "enabled": true,
            "type": "string",
            "amount": 0
          }
        }
      }
    }
  ],
  "pagination": {
    "page": 0,
    "limit": 0,
    "total_count": 0,
    "total_pages": 0,
    "has_more": true
  }
}